; переменные монитора БК10

; Системные признаки DMBK (SYSPR )
PRCW    =   40  ; Признак цветного режима (формат 32)
PRINF   =   41  ; Признак инверсии фона
PRRP    =   42  ; Признак расширенной памяти
PRRUS   =   43  ; Признак русского регистра
PRPODC  =   44  ; Признак подчёркивания символа
PRINWS  =   45  ; Признак инверсии символа
PRISU   =   46  ; Признак индикации су
PRBLR   =   47  ; Признак блокировки редактирования
PRGRAF  =   50  ; Признак графического режима
PRZAP   =   51  ; Признак режима записи
PRSTIR  =   52  ; Признак режима стирания
PRCWSS  =   53  ; Признак цветного режима в служебной строке(СС)
PRPSSS  =   54  ; Признак подчёркивания символа в СС
PRISSS  =   55  ; Признак инверсии символа в СС
PRGAHK  =   56  ; Признак гашения курсора
; Переменные драйвера клавиатуры ( DLLAW )
WPTM    =   100 ; Вектор прерывания таймера (ПРТ, IRQ2)
SSPTM   =   102 ; Слово состояния процессора (PS)
BUFKL   =   104 ; Буфер клавиатуры
PRZKB   =   105 ; Признак записи кода в буфер
BKPOWT  =   106 ; Буфер константы повтора (t паузы)
PRPOWT  =   110 ; Признак повтора кода
SCTAB   =   111 ; Счётчик табуляции
MTAB    =   112 ; Маска табуляции
SCKLC   =   122 ; Счётчик ключа
TAKLC   =   124 ; Текущий адрес ключа
AKLC    =   126 ; Адреса ключей (0,1,2...9)
; Переменные драйвера ТВ-монитора ( DTWMN )
PRNRUL  =   152 ; Признак нарушения рулона
PRZTCK  =   153 ; Признак записи точки
MASPGT  =   154 ; Маска позиции графической точки (ГТ)
NMPGT   =   155 ; Начальная маска позиции ГТ
NOMSIM  =   156 ; Номер символа на экране
AS      =   160 ; Адрес символа
DSIMB   =   162 ; Длина символа в байтах
KSVP    =   164 ; Количество символов на экране
AGTVP   =   166 ; Адрес (номер) ГТ на экране
AGT     =   170 ; Адрес ГТ
DGW     =   172 ; Длина графического вектора
SCTVS   =   174 ; Счётчик ТВ-строк
BUFX    =   176 ; Буфер координаты X
BUFY    =   200 ; Буфер координаты Y
ANVP    =   202 ; Адрес начала видеопамяти
BAZVP   =   204 ; База видеопамяти
DVPB    =   206 ; Длина видеопамяти в байтах
DGPB    =   210 ; Длина графической памяти в байтах
FON     =   212 ; Фон экрана
MASCW   =   214 ; Маска цвета
FONSS   =   216 ; Фон служебной строки (СС)
MSWSS   =   220 ; Маска цвета СС
SCKOD   =   222 ; Счётчик кодов
SCUIND  =   224 ; Счётчик установки индикаторов
; Переменные драйвера магнитофона ( DMAG )
PRINV   =   300 ; Признак инверсного сигнала
PROH    =   301 ; Признак ошибки
PRFCT   =   302 ; Признак фиктивного чтения
INCADR  =   304 ; Инкремент адреса массива
ABP     =   306 ; Адрес блока параметров
MBUFSP  =   310 ; Буфер указателя стека
BUFKS   =   312 ; Буфер контрольной суммы
GRDL0   =   314 ; Граница длины 0

BPDMAG  =   320 ; Блок параметров DMAG
NAMELEN =   16. ; длина имени файла
KOM$    =   0   ; смещение от начала блока параметров до команды
OTWET$  =   1   ; смещение от начала блока параметров до ответа
ADRMAS$ =   2   ; смещение от начала блока параметров до адреса массива
DLMAS$  =   4   ; смещение от начала блока параметров до длины массива на запись
IMMAS$  =   6   ; смещение от начала блока параметров до имени массива
ADRTM$  =   26  ; смещение от начала блока параметров до адреса текущего массива
DLTMAS$ =   30  ; смещение от начала блока параметров до длины текущего массива
IMTMAS$ =   32  ; смещение от начала блока параметров до имени текущего массива
KOM     =   BPDMAG+KOM$     ; Команда
OTWET   =   BPDMAG+OTWET$   ; Ответ
ADRMAS  =   BPDMAG+ADRMAS$  ; Адрес массива
DLMAS   =   BPDMAG+DLMAS$   ; Длина массива на запись
IMMAS   =   BPDMAG+IMMAS$   ; Имя массива
ADRTM   =   BPDMAG+ADRTM$   ; Адрес текущего массива
DLTMAS  =   BPDMAG+DLTMAS$  ; Длина текущего массива
IMTMAS  =   BPDMAG+IMTMAS$  ; Имя текущего массива
; Системные переменные DMBK
DLBIT0  =   250 ; Длина 0 DMAG (в условных единицах)
DLBIT1  =   252 ; Длина 1 DMAG (в условных единицах)
DLBIT   =   254 ; Длина бита DTLG (в условных единицах)
KPORT   =   256 ; Копия порта
APOPKL  =   260 ; Адрес программы обработки прерывания от клавиатуры
PRWK    =   262 ; Признак кода ВК (ввод)
BUFSTA  =   264 ; Буфер стартового адреса
BUFDL   =   266 ; Буфер длины массива
